package com.nju.disambiguation.serviceImp;

import com.nju.disambiguation.dataMapper.TestMapper;
import com.nju.disambiguation.service.TestService;
import com.nju.disambiguation.vo.ResponseVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TestServiceImp implements TestService {

    private final TestMapper testMapper;

    public TestServiceImp(TestMapper testMapper) {
        this.testMapper = testMapper;
    }


    @Override
    public ResponseVO getEmpName() {
        return ResponseVO.buildSuccess(testMapper.selectEmp());
    }
}
