package com.nju.disambiguation.controller;

import com.nju.disambiguation.service.TestService;
import com.nju.disambiguation.vo.ResponseVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/test")
public class TestController {

    private final TestService testService;

    public TestController(TestService testService) {
        this.testService = testService;
    }

    @GetMapping("/emp")
    public ResponseVO getEmpName() {
        return testService.getEmpName();
    }
}
